Skip to content
First requestVisit website ↗
Navigation

List voice-capable workspace numbers and their inbound agent assignments

Admin or manager only. Credentials are never returned. Missing assignment schema preserves workspace-default routing and sets assignment_unavailable. No profiles are created.

GET
https://api.channelautomation.com/api/workspaces/{workspaceId}/voice-ai/numbers

Authorization

  • BearerAuth
    HTTP Bearer (JWT)
    required

Path parameters

  • workspaceId
    string
    required

Returns

200

Voice numbers with agent metadata or null, available agents and profile visibility

JSON
  • success
    optional
    boolean
  • has_profiles
    optional
    boolean
  • assignment_unavailable
    optional
    boolean
  • agents
    optional
    array of
    object
    • id
      optional
      string
      format: uuid
    • name
      optional
      string
    • purpose
      optional
      string
    • enabled
      optional
      boolean
    • set_up
      optional
      boolean
  • numbers
    optional
    array of
    object
    • phone_number
      optional
      string
    • friendly_name
      optional
      string
      or null
    • agent
      optional
      object
      or null
      • id
        optional
        string
        format: uuid
      • name
        optional
        string
      • purpose
        optional
        string
      • enabled
        optional
        boolean

400

Invalid request

401

Authentication required

403

Admin or manager role required

503

Administration unavailable

Type to search…

↑↓ navigate↵ selectEsc close